Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class AllNodes

    java.lang.Object
      org.modeshape.graph.query.model.Selector
          org.modeshape.graph.query.model.AllNodes

All Implemented Interfaces:
  Serializable, LanguageObject, Source, Visitable

    @Immutable
    public class AllNodes

extends Selector

A selector that represents a source that returns all nodes.

See Also:
  Serialized Form

Field Summary
`static SelectorName` | `ALL_NODES_NAME`

Constructor Summary
`AllNodes()`
`AllNodes(SelectorName alias)` Create a selector with the supplied alias.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.modeshape.graph.query.model.Selector
`alias, aliasOrName, hasAlias, name`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_NODES_NAME

    public static final SelectorName ALL_NODES_NAME

Constructor Detail

### AllNodes

    public AllNodes()

### AllNodes

    public AllNodes(SelectorName alias)

  Create a selector with the supplied alias.

  Parameters:
    `alias` - the alias for this selector; may be null

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.